/**
 * 
 */
package hu.bme.mit.bookorder.book;

/**
 * @author Administrator
 *
 */
public class Book {
	private String title;
	private String author;
	private String publisher;
	private int publicationYear;
	private int numberOfPages;
	private Genre genre;
	private Integer price = null;
	
	public static enum Genre {
		CRIME, BIOGRAPHY, FANTASY, ROMANCE, HISTORICAL, INTERVIEW, SCIENCE_FICTION, CHILDREN_LITERATURE
	}
	
	public Book(String title, String author, String publisher,
			int publicationYear, int numberOfPages, Genre genre) {
		super();
		this.title = title;
		this.author = author;
		this.publisher = publisher;
		this.publicationYear = publicationYear;
		this.numberOfPages = numberOfPages;
		this.genre = genre;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getAuthor() {
		return author;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	public String getPublisher() {
		return publisher;
	}
	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}
	public int getPublicationYear() {
		return publicationYear;
	}
	public void setPublicationYear(int publicationYear) {
		this.publicationYear = publicationYear;
	}
	public int getNumberOfPages() {
		return numberOfPages;
	}
	public void setNumberOfPages(int numberOfPages) {
		this.numberOfPages = numberOfPages;
	}
	public Integer getPrice() {
		return price;
	}
	public void setPrice(Integer price) {
		this.price = price;
	}
	public Genre getGenre() {
		return genre;
	}
	public void setGenre(Genre genre) {
		this.genre = genre;
	}
	
	
}
